from ..addon.naming import FluidLabNaming

class FLUIDLAB_ModulePanel():
    fluidlab_section = ""
    bl_category = FluidLabNaming.FluidLab
    bl_space_type = 'VIEW_3D'
    bl_region_type = 'UI'
    bl_parent_id = "FLUIDLAB_PT_main"

    @classmethod
    def poll(cls, context):
        return cls.fluidlab_section == context.scene.fluidlab.ui.main_modules
